Variablegroups - Delete

Delete a variable group

DELETE https://dev.azure.com/{organization}/_apis/distributedtask/variablegroups/{groupId}?projectIds={projectIds}&api-version=7.1

URI Parameters

Name In Required Type Description
groupId
path True

integer (int32)

Id of the variable group.

organization
path True

string

The name of the Azure DevOps organization.

api-version
query True

string

Version of the API to use. This should be set to '7.1' to use this version of the api.

projectIds
query True

string (array (string))

Responses

Name Type Description
200 OK

successful operation

Security

oauth2

Type: oauth2
Flow: accessCode
Authorization URL: https://app.vssps.visualstudio.com/oauth2/authorize&response_type=Assertion
Token URL: https://app.vssps.visualstudio.com/oauth2/token?client_assertion_type=urn:ietf:params:oauth:client-assertion-type:jwt-bearer&grant_type=urn:ietf:params:oauth:grant-type:jwt-bearer

Scopes

Name Description
vso.variablegroups_manage Grants the ability to read, create and manage variablegroups.